Erro ao gerar certificado Digital.



  • Olá Senhores,
    Após instalar a versão 2.4.3 (não é upgrade) - estou recebendo mensagem de erro ao tentar gerar qualquer certificado.
    a CA Root foi gerada perfeitamente. Não há caracteres especiais ou qualquer outro tipo de caractere não permitido.

    Aqui a mensagem de erro apresentada:
    openssl library returns: error:0906D06C:PEM routines:PEM_read_bio:no start line

    Postei também no forum em inglês, just in case.

    Por hora, não há como usar o firewall em nenhuma função que precise do certificado, a não ser que vc gere ele em uma CA external.  :-(

    Alguém mais está tento este problema? Percebi que no forum em Inglês há mais pessoas com o mesmo sintoma.

    Abraço e Obrigado!

    Fabricio.



  • como teste, tenta instalar o e2guardian para forçar uma versão diferente do openssl pra ver se resolve a questão.



  • eu já havia atualizado o openssl. Não resolveu.
    Está me parecendo alguma coisa relacionada ao $product_name

    Está difícil.



  • @fabricioguzzy:

    eu já havia atualizado o openssl. Não resolveu.
    Está me parecendo alguma coisa relacionada ao $product_name

    Está difícil.

    Procura o código que gera a chave openssl …. talvez seja coisa fácil de resolver.